
/*******************************************************************************
* Copyright (c) 2017 Olivier Langella <olivier.langella@u-psud.fr>.
*
* This file is part of XTPcpp.
*
*     XTPcpp is free software: you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation, either version 3 of the License, or
*     (at your option) any later version.
*
*     XTPcpp is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with XTPcpp.  If not, see <http://www.gnu.org/licenses/>.
*
* Contributors:
*     Olivier Langella <olivier.langella@u-psud.fr> - initial API and implementation
******************************************************************************/

#include "fastafile.h"

FastaFile::FastaFile(const QString & fasta_source) : _fasta_source(fasta_source)
{

}
FastaFile::FastaFile(const QFileInfo & fasta_source): _fasta_source(fasta_source)
{
}
FastaFile::FastaFile(const FastaFile & other) : _fasta_source(other._fasta_source)
{

}
FastaFile::~FastaFile()
{

}

const QString FastaFile::getFilename() const {
    return _fasta_source.fileName();
}

const QString FastaFile::getAbsoluteFilePath() const {
    return _fasta_source.absoluteFilePath();
}
